package edu.fudan.ss.ooad.eclipse.impl;

import java.util.ArrayList;
import java.util.Collection;

import edu.fudan.ss.ooad.eclipse.core.ICourse;
import edu.fudan.ss.ooad.eclipse.core.ICourseEvaluationManager;
import edu.fudan.ss.ooad.eclipse.core.IStudent;
import edu.fudan.ss.ooad.eclipse.core.ITeacher;

public class CourseEvaluationManagerMemImpl implements ICourseEvaluationManager {
	public CourseEvaluationManagerMemImpl() {
		ITeacher teacher1 = new TeacherMemImpl("1", "ʦ1");
		ITeacher teacher2 = new TeacherMemImpl("2", "ʦ2");
		teachers.add(teacher1);
		teachers.add(teacher2);

		ICourse course1 = new CourseMemImpl("1", "γ1");
		ICourse course2 = new CourseMemImpl("2", "γ2");
		teacher1.getCourses().add(course1);
		teacher2.getCourses().add(course2);

		IStudent student1 = new StudentMemImpl("1", "ѧ1");
		IStudent student2 = new StudentMemImpl("2", "ѧ2");
		course1.getStudents().add(student1);
		course2.getStudents().add(student2);
	}

	private Collection<ITeacher> teachers = new ArrayList<ITeacher>();

	@Override
	public Collection<ITeacher> getAllTeachers() {
		return teachers;
	}

}
