package edu.fudan.ss.ooad.eclipse.impl;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.core.runtime.PlatformObject;

import edu.fudan.ss.ooad.eclipse.core.ICourse;
import edu.fudan.ss.ooad.eclipse.core.IStudent;


public class CourseMemImpl extends PlatformObject implements ICourse {
	
	private String id;
	private String name;

	public CourseMemImpl(String id, String name) {
		this.id = id;
		this.name = name;
	}

	@Override
	public String getId() {
		return id;
	}

	@Override
	public String getName() {
		return name;
	}

	Collection<IStudent> students = new ArrayList<IStudent>();

	@Override
	public Collection<IStudent> getStudents() {
		return students;
	}

	@Override
	public String toString() {
		return name;
	}

	@Override
	public int getAllowStudents() {
		return 10;
	}


}
