package edu.fudan.ss.ooad.eclipse.impl;

import java.util.ArrayList;
import java.util.Collection;

import edu.fudan.ss.ooad.eclipse.core.ICourse;
import edu.fudan.ss.ooad.eclipse.core.ITeacher;


public class TeacherMemImpl implements ITeacher{

	private String id;
	private String name;
	public TeacherMemImpl(String id, String name){
		this.id = id;
		this.name = name;
	}
	@Override
	public String getId() {
		return id;
	}

	@Override
	public String getName() {
		return name;
	}

	private Collection<ICourse> courses = new ArrayList<ICourse>();
	@Override
	public Collection<ICourse> getCourses() {
		return courses;
	}
	@Override
	public String toString() {
		return name;
	}
}
